Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

make on SLES 64bit

planadmin
2005-10-04
2013-04-17
  • planadmin
    planadmin
    2005-10-04

    Hi,
    I'm  unable to install this package on SLES 9 (64bit)

    LD_RUN_PATH="/opt/firebird/lib" cc  -shared -L/usr/local/lib64 InterBase.o dbdimp.o  -o blib/arch/auto/DBD/InterBase/InterBase.so   -L/opt/firebird/lib -lfbclient -ldl
    /usr/lib64/gcc-lib/x86_64-suse-linux/3.3.3/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /opt/firebird/lib/libfbclient.so when searching for -lfbclient
    /usr/lib64/gcc-lib/x86_64-suse-linux/3.3.3/../../../../x86_64-suse-linux/bin/ld: skipping incompatible /usr/lib/libfbclient.so when searching for -lfbclient
    /usr/lib64/gcc-lib/x86_64-suse-linux/3.3.3/../../../../x86_64-suse-linux/bin/ld: cannot find -lfbclient
    collect2: ld returned 1 exit status
    make: *** [blib/arch/auto/DBD/InterBase/InterBase.so] Error 1

    Any suggestions??